openapi: 3.0.0
info:
  title: 'Документация Сервис для создания чеков'
  description: 'Документация для работы с API'
  version: 1.0.0
servers:
  -
    url: 'https://check.itguild.info/api'
    description: 'Основной сервер'
  -
    url: 'http://check-back.loc/api'
    description: 'Локальный сервер'
paths:
  /api: {  }
  /category:
    get:
      tags:
        - Category
      summary: 'Список категорий компании'
      description: 'Получить список всех категорий компании'
      operationId: 9c8a82027f63c2a24be62e4da7f799b8
      parameters:
        -
          name: company_id
          in: query
          required: true
          schema:
            type: integer
            default: null
      responses:
        '200':
          description: 'Возвращает массив'
          content:
            application/json:
              schema:
                type: array
                items:
                  properties: { id: { type: integer, example: '1' }, title: { type: string, example: 'Кальянный клуб LA' }, parent_id: { type: integer, example: '33' }, company_id: { type: integer, example: '23' } }
                  type: object
  /product:
    get:
      tags:
        - Product
      summary: 'Список товаров компании'
      description: 'Получить список всех товаров компании'
      operationId: fec9052ccf16f32898ba42d5cf697ae5
      parameters:
        -
          name: company_id
          in: query
          required: true
          schema:
            type: integer
            default: null
        -
          name: category_id
          in: query
          required: false
          schema:
            type: integer
            default: null
      responses:
        '200':
          description: 'Возвращает массив'
          content:
            application/json:
              schema:
                type: array
                items:
                  properties: { id: { type: integer, example: '1' }, title: { type: string, example: 'Кальянный клуб LA' }, article: { type: string, example: '005' }, type: { type: integer, example: '1' }, price: { type: integer, example: '250' }, status: { type: integer, example: '1' }, product_category_id: { type: integer, example: '5' }, company_id: { type: integer, example: '23' } }
                  type: object
components:
  securitySchemes:
    bearerAuth:
      type: http
      name: Authorization
      in: header
      bearerFormat: JWT
      scheme: bearer
